diff --git a/modules/features/chatbot/mainChatbot.py b/modules/features/chatbot/mainChatbot.py
index 1428ef41..acb9a0e6 100644
--- a/modules/features/chatbot/mainChatbot.py
+++ b/modules/features/chatbot/mainChatbot.py
@@ -1,8 +1,9 @@
 # Copyright (c) 2025 Patrick Motsch
 # All rights reserved.
 """
-Simple chatbot feature - direct AI center implementation.
-Bypasses complex workflow engine for fast, simple chatbot responses.
+Simple chatbot feature - basic implementation.
+User input is processed by AI to create list of needed queries.
+Those queries get streamed back.
 """
 
 import logging
@@ -10,19 +11,21 @@ import json
 import uuid
 import asyncio
 import re
-import datetime
-import base64
 from typing import Optional, Dict, Any, List
 
-from modules.datamodels.datamodelChat import ChatWorkflow, UserInputRequest, ChatDocument, WorkflowModeEnum
+from modules.datamodels.datamodelChat import ChatWorkflow, UserInputRequest, WorkflowModeEnum, ChatLog
 from modules.datamodels.datamodelUam import User
 from modules.datamodels.datamodelAi import AiCallRequest, AiCallOptions, OperationTypeEnum, ProcessingModeEnum
 from modules.shared.timeUtils import getUtcTimestamp, parseTimestamp
 from modules.services import getInterface as getServices
-from modules.connectors.connectorPreprocessor import PreprocessorConnector
 from modules.features.chatbot.eventManager import get_event_manager
-from modules.datamodels.datamodelDocref import DocumentReferenceList, DocumentItemReference
 from modules.workflows.methods.methodAi.methodAi import MethodAi
+from modules.connectors.connectorPreprocessor import PreprocessorConnector
+from modules.features.chatbot.chatbotConstants import (
+    get_initial_analysis_prompt,
+    generate_conversation_name,
+    get_final_answer_system_prompt
+)
 
 logger = logging.getLogger(__name__)
 
@@ -54,111 +57,19 @@ def _extractJsonFromResponse(content: str) -> Optional[dict]:
     return None
 
 
-async def _generate_conversation_name(
-    services,
-    userPrompt: str,
-    userLanguage: str = "en"
-) -> str:
-    """
-    Generate a short, descriptive conversation name based on user's prompt.
-    
-    Args:
-        services: Services instance with AI access
-        userPrompt: The user's input prompt
-        userLanguage: User's preferred language (for prompt localization)
-        
-    Returns:
-        Short conversation name (max 60 characters)
-    """
-    try:
-        truncated_prompt = userPrompt[:200] if len(userPrompt) > 200 else userPrompt
-        
-        name_prompt = f"""Create a professional conversation title in THE SAME LANGUAGE as the user's question.
-
-Question: "{truncated_prompt}"
-
-Rules:
-- Title MUST be in the same language as the question (German→German, French→French, English→English)
-- Max 60 characters, no punctuation (?, !, .)
-- Professional and concise
-- Respond ONLY with the title, nothing else"""
-        
-        await services.ai.ensureAiObjectsInitialized()
-        
-        nameRequest = AiCallRequest(
-            prompt=name_prompt,
-            options=AiCallOptions(
-                resultFormat="txt",
-                operationType=OperationTypeEnum.DATA_GENERATE,
-                processingMode=ProcessingModeEnum.DETAILED,
-                temperature=0.7
-            )
-        )
-        
-        nameResponse = await services.ai.callAi(nameRequest)
-        generated_name = nameResponse.content.strip()
-        
-        # Extract first line and clean up
-        generated_name = generated_name.split('\n')[0].strip()
-        generated_name = re.sub(r'^(Title|Titel|Titre|Name|Name:):\s*', '', generated_name, flags=re.IGNORECASE)
-        generated_name = re.sub(r'^["\']|["\']$', '', generated_name)
-        generated_name = re.sub(r'[?!.]+$', '', generated_name)  # Remove trailing punctuation
-        
-        # Apply title case
-        if generated_name:
-            words = generated_name.split()
-            capitalized_words = []
-            for word in words:
-                if word.isupper() and len(word) > 1:
-                    capitalized_words.append(word)  # Keep acronyms
-                else:
-                    capitalized_words.append(word.capitalize())
-            generated_name = " ".join(capitalized_words).strip()
-        
-        # Validate and truncate if needed
-        if not generated_name or len(generated_name) < 3:
-            if userLanguage == "de":
-                generated_name = "Chatbot Konversation"
-            elif userLanguage == "fr":
-                generated_name = "Conversation Chatbot"
-            else:
-                generated_name = "Chatbot Conversation"
-        
-        if len(generated_name) > 60:
-            truncated = generated_name[:57]
-            last_space = truncated.rfind(' ')
-            generated_name = truncated[:last_space] + "..." if last_space > 30 else truncated + "..."
-        
-        logger.info(f"Generated conversation name: '{generated_name}'")
-        return generated_name
-        
-    except Exception as e:
-        logger.error(f"Error generating conversation name: {e}", exc_info=True)
-        if userLanguage == "de":
-            return "Chatbot Konversation"
-        elif userLanguage == "fr":
-            return "Conversation Chatbot"
-        else:
-            return "Chatbot Conversation"
-
-
 async def chatProcess(
     currentUser: User,
     userInput: UserInputRequest,
     workflowId: Optional[str] = None
 ) -> ChatWorkflow:
     """
-    Simple chatbot processing - direct AI center implementation.
+    Simple chatbot processing - analyze user input and generate queries.
     
     Flow:
     1. Create or load workflow
     2. Store user message
-    3. AI analyzes: determine if DB query/web research needed
-    4. Execute database query if needed
-    5. Execute web research if needed
-    6. Generate final answer
-    7. Store assistant message
-    8. Return workflow
+    3. AI analyzes user input to create list of needed queries
+    4. Stream queries back
     
     Args:
         currentUser: Current user
@@ -197,7 +108,7 @@ async def chatProcess(
                 event_manager.create_queue(workflowId)
         else:
             # Generate conversation name based on user's prompt
-            conversation_name = await _generate_conversation_name(
+            conversation_name = await generate_conversation_name(
                 services,
                 userInput.prompt,
                 userInput.userLanguage
@@ -214,7 +125,7 @@ async def chatProcess(
                 "currentAction": 0,
                 "totalTasks": 0,
                 "totalActions": 0,
-                "workflowMode": WorkflowModeEnum.WORKFLOW_CHATBOT.value,  # Use Chatbot mode for chatbot conversations
+                "workflowMode": WorkflowModeEnum.WORKFLOW_CHATBOT.value,
                 "startedAt": getUtcTimestamp(),
                 "lastActivity": getUtcTimestamp()
             }
@@ -227,39 +138,6 @@ async def chatProcess(
         # Reload workflow to get current message count
         workflow = interfaceDbChat.getWorkflow(workflow.id)
         
-        # Process uploaded files and create ChatDocuments
-        user_documents = []
-        if userInput.listFileId and len(userInput.listFileId) > 0:
-            logger.info(f"Processing {len(userInput.listFileId)} uploaded file(s) for user message")
-            for fileId in userInput.listFileId:
-                try:
-                    # Get file info from chat service
-                    fileInfo = services.chat.getFileInfo(fileId)
-                    if not fileInfo:
-                        logger.warning(f"No file info found for file ID {fileId}")
-                        continue
-                    
-                    originalFileName = fileInfo.get("fileName", "unknown")
-                    originalMimeType = fileInfo.get("mimeType", "application/octet-stream")
-                    fileSizeToUse = fileInfo.get("size", 0)
-                    
-                    # Create ChatDocument for the file
-                    document = ChatDocument(
-                        id=str(uuid.uuid4()),
-                        messageId="",  # Will be set when message is created
-                        fileId=fileId,
-                        fileName=originalFileName,
-                        fileSize=fileSizeToUse,
-                        mimeType=originalMimeType,
-                        roundNumber=workflow.currentRound,
-                        taskNumber=0,
-                        actionNumber=0
-                    )
-                    user_documents.append(document)
-                    logger.info(f"Created ChatDocument for file {fileId} -> {originalFileName}")
-                except Exception as e:
-                    logger.error(f"Error processing file ID {fileId}: {e}", exc_info=True)
-        
         # Store user message
         userMessageData = {
             "id": f"msg_{uuid.uuid4()}",
@@ -274,20 +152,10 @@ async def chatProcess(
             "actionNumber": 0
         }
         
-        # Add documents to message if any
-        if user_documents:
-            # Update messageId in all documents
-            for doc in user_documents:
-                doc.messageId = userMessageData["id"]
-            userMessageData["documents"] = [doc.dict() for doc in user_documents]
-            userMessageData["documentsLabel"] = "Uploaded Files"
-            logger.info(f"Attaching {len(user_documents)} document(s) to user message")
-        
         userMessage = interfaceDbChat.createMessage(userMessageData)
-        logger.info(f"Stored user message: {userMessage.id} with {len(user_documents)} document(s)")
+        logger.info(f"Stored user message: {userMessage.id}")
         
         # Emit message event for streaming (exact chatData format)
-        event_manager = get_event_manager()
         message_timestamp = parseTimestamp(userMessage.publishedAt, default=getUtcTimestamp())
         await event_manager.emit_event(
             workflow.id,
@@ -324,230 +192,127 @@ async def chatProcess(
         raise
 
 
-async def _check_workflow_status(interfaceDbChat, workflowId: str, event_manager) -> bool:
+async def _execute_queries_parallel(queries: List[Dict[str, Any]]) -> Dict[str, Any]:
     """
-    Check if workflow is stopped. If stopped, emit stopped event and return True.
+    Execute multiple SQL queries in parallel.
     
+    Args:
+        queries: List of query dictionaries, each containing:
+            - "query": SQL query string
+            - "purpose": Description of what the query retrieves
+            - "table": Primary table name
+    
+    Returns:
+        Dictionary mapping query indices to results:
+        - "query_1", "query_2", etc.: Success result text
+        - "query_1_data", "query_2_data", etc.: Raw data arrays
+        - "query_1_error", "query_2_error", etc.: Error messages if query failed
+    """
+    async def execute_single_query(idx: int, query_info: Dict[str, Any]):
+        """Execute a single query and return result."""
+        connector = PreprocessorConnector()
+        try:
+            query_text = query_info.get("query", "")
+            result = await connector.executeQuery(query_text, return_json=True)
+            await connector.close()
+            return idx, result, None
+        except Exception as e:
+            await connector.close()
+            return idx, None, str(e)
+    
+    # Execute all queries in parallel
+    tasks = [execute_single_query(i, q) for i, q in enumerate(queries)]
+    results = await asyncio.gather(*tasks, return_exceptions=True)
+    
+    # Process results into dictionary
+    query_results = {}
+    for result in results:
+        if isinstance(result, Exception):
+            # Handle exceptions from gather
+            logger.error(f"Exception in parallel query execution: {result}")
+            continue
+        
+        idx, result_data, error = result
+        
+        if error:
+            query_results[f"query_{idx+1}_error"] = error
+            logger.error(f"Query {idx+1} failed: {error}")
+        else:
+            if result_data and not result_data.get("text", "").startswith(("Error:", "Query failed:")):
+                query_results[f"query_{idx+1}"] = result_data.get("text", "")
+                query_results[f"query_{idx+1}_data"] = result_data.get("data", [])
+                row_count = len(result_data.get('data', []))
+                logger.info(f"Query {idx+1} executed successfully, returned {row_count} rows")
+            else:
+                error_text = result_data.get("text", "Query failed") if result_data else "Query failed: No response"
+                query_results[f"query_{idx+1}_error"] = error_text
+                logger.error(f"Query {idx+1} failed: {error_text}")
+    
+    return query_results
+
+
+async def _emit_log_and_event(
+    interfaceDbChat,
+    workflowId: str,
+    event_manager,
+    message: str,
+    log_type: str = "info",
+    status: str = "running",
+    round_number: Optional[int] = None
+) -> None:
+    """
+    Store log in database. The route's periodic chat data fetch will handle emitting it.
+    This avoids duplicate log emissions.
+    
+    Args:
+        interfaceDbChat: Database interface
+        workflowId: Workflow ID
+        event_manager: Event manager (unused, kept for compatibility)
+        message: Log message
+        log_type: Log type (info, warning, error)
+        status: Status string
+        round_number: Optional round number (will be fetched from workflow if not provided)
+    """
+    try:
+        # Get round number from workflow if not provided
+        if round_number is None:
+            workflow = interfaceDbChat.getWorkflow(workflowId)
+            if workflow:
+                round_number = workflow.currentRound
+        
+        log_timestamp = getUtcTimestamp()
+        log_data = {
+            "id": f"log_{uuid.uuid4()}",
+            "workflowId": workflowId,
+            "message": message,
+            "type": log_type,
+            "timestamp": log_timestamp,
+            "status": status,
+            "roundNumber": round_number
+        }
+        # Only store in database - route's periodic fetch will emit it
+        interfaceDbChat.createLog(log_data)
+    except Exception as e:
+        logger.error(f"Error storing log: {e}")
+
+
+async def _check_workflow_stopped(interfaceDbChat, workflowId: str) -> bool:
+    """
+    Check if workflow was stopped.
+    
+    Args:
+        interfaceDbChat: Database interface
+        workflowId: Workflow ID
+        
     Returns:
         True if workflow is stopped, False otherwise
     """
-    workflow = interfaceDbChat.getWorkflow(workflowId)
-    if workflow and workflow.status == "stopped":
-        await event_manager.emit_event(
-            workflowId,
-            "stopped",
-            "Workflow stopped",
-            "stopped"
-        )
-        logger.info(f"Workflow {workflowId} was stopped, exiting processing")
-        return True
-    return False
-
-
-async def _convert_file_ids_to_document_references(
-    services,
-    file_ids: List[str]
-) -> DocumentReferenceList:
-    """
-    Convert file IDs to DocumentReferenceList for use with ai.process.
-    
-    Args:
-        services: Services instance
-        file_ids: List of file IDs to convert
-        
-    Returns:
-        DocumentReferenceList with docItem references
-    """
-    references = []
-    
-    # Get workflow to search for ChatDocuments
-    workflow = services.workflow
-    if not workflow:
-        logger.error("Cannot convert file IDs to document references: workflow not set in services")
-        return DocumentReferenceList(references=[])
-    
-    for file_id in file_ids:
-        try:
-            # Get file info to verify it exists
-            file_info = services.chat.getFileInfo(file_id)
-            if not file_info:
-                logger.warning(f"File {file_id} not found, skipping")
-                continue
-            
-            # Find ChatDocument that has this fileId
-            document_id = None
-            if workflow.messages:
-                for message in workflow.messages:
-                    if hasattr(message, 'documents') and message.documents:
-                        for doc in message.documents:
-                            if getattr(doc, 'fileId', None) == file_id:
-                                document_id = getattr(doc, 'id', None)
-                                break
-                    if document_id:
-                        break
-            
-            # Search database if not found in messages
-            if not document_id:
-                try:
-                    from modules.datamodels.datamodelChat import ChatDocument
-                    from modules.shared.databaseUtils import getRecordsetWithRBAC
-                    documents = getRecordsetWithRBAC(
-                        services.interfaceDbChat.db,
-                        ChatDocument,
-                        services.currentUser,
-                        recordFilter={"fileId": file_id}
-                    )
-                    if documents:
-                        workflow_message_ids = {msg.id for msg in workflow.messages} if workflow.messages else set()
-                        for doc in documents:
-                            if doc.get("messageId") in workflow_message_ids:
-                                document_id = doc.get("id")
-                                break
-                except Exception:
-                    pass  # Fallback to fileId
-            
-            # Use ChatDocument ID if found, otherwise use fileId as fallback
-            ref = DocumentItemReference(documentId=document_id if document_id else file_id)
-            references.append(ref)
-        except Exception as e:
-            logger.error(f"Error converting fileId {file_id}: {e}", exc_info=True)
-    
-    logger.info(f"Converted {len(references)} file IDs to document references")
-    return DocumentReferenceList(references=references)
-
-
-def _format_query_results_as_lookup(query_data: Dict[str, List[Dict]]) -> str:
-    """
-    Format database query results as JSON lookup table for Excel matching.
-    Converts query result data into structured JSON format: {Artikelnummer: {columns...}}
-    
-    Args:
-        query_data: Dict with query_key -> list of row dicts (from connector with return_json=True)
-        
-    Returns:
-        JSON string formatted as lookup table
-    """
-    lookup_table = {}
-    
-    for query_key, rows in query_data.items():
-        if query_key == "error" or not rows:
-            logger.warning(f"Skipping query key '{query_key}' - no rows or error")
-            continue
-        
-        logger.info(f"Processing {len(rows)} rows from query '{query_key}'")
-        
-        for row in rows:
-            if not isinstance(row, dict):
-                logger.warning(f"Skipping non-dict row: {type(row)}")
-                continue
-            
-            # Find Artikelnummer field (case-insensitive)
-            artikelnummer = None
-            for key in row.keys():
-                if key.lower() in ['artikelnummer', 'artikel_nummer', 'art_nr', 'part_number']:
-                    artikelnummer = str(row[key])
-                    break
-            
-            if artikelnummer:
-                lookup_table[artikelnummer] = row
-            else:
-                logger.warning(f"No Artikelnummer found in row with keys: {list(row.keys())}")
-    
-    logger.info(f"Generated lookup table with {len(lookup_table)} entries")
-    if lookup_table:
-        sample_keys = list(lookup_table.keys())[:3]
-        logger.info(f"Sample Artikelnummern: {sample_keys}")
-        if sample_keys:
-            sample_entry = lookup_table[sample_keys[0]]
-            logger.info(f"Sample entry keys: {list(sample_entry.keys())}")
-    
-    return json.dumps(lookup_table, ensure_ascii=False, indent=2)
-
-
-async def _create_chat_document_from_action_document(
-    services,
-    action_document,
-    message_id: str,
-    workflow_id: str,
-    round_number: int
-) -> ChatDocument:
-    """
-    Create a ChatDocument from an ActionDocument by storing the file data.
-    
-    Args:
-        services: Services instance
-        action_document: ActionDocument from ai.process result
-        message_id: ID of the message to attach to
-        workflow_id: Workflow ID
-        round_number: Round number
-        
-    Returns:
-        ChatDocument instance
-    """
     try:
-        # Get file data (could be bytes or string)
-        document_data = action_document.documentData
-        
-        # Convert to bytes if needed
-        if isinstance(document_data, str):
-            # Check if it's base64 encoded
-            try:
-                # Try to decode as base64 first
-                file_bytes = base64.b64decode(document_data)
-            except Exception:
-                # Not base64, encode as UTF-8
-                file_bytes = document_data.encode('utf-8')
-        elif isinstance(document_data, bytes):
-            file_bytes = document_data
-        else:
-            # Try to convert to bytes
-            try:
-                file_bytes = bytes(document_data)
-            except Exception:
-                # Last resort: convert to string then encode
-                file_bytes = str(document_data).encode('utf-8')
-        
-        # Get MIME type (default to Excel)
-        mime_type = action_document.mimeType or "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
-        
-        # Get file name
-        file_name = action_document.documentName or "data_export.xlsx"
-        # Ensure it has .xlsx extension
-        if not file_name.lower().endswith('.xlsx'):
-            # Remove any existing extension and add .xlsx
-            file_name = file_name.rsplit('.', 1)[0] + '.xlsx'
-        
-        # Store file using component interface
-        file_item = services.interfaceDbComponent.createFile(
-            name=file_name,
-            mimeType=mime_type,
-            content=file_bytes
-        )
-        
-        # Store file data
-        success = services.interfaceDbComponent.createFileData(file_item.id, file_bytes)
-        if not success:
-            logger.warning(f"Failed to store file data for {file_item.id}, but continuing...")
-        
-        # Create ChatDocument
-        chat_document = ChatDocument(
-            id=str(uuid.uuid4()),
-            messageId=message_id,
-            fileId=file_item.id,
-            fileName=file_name,
-            fileSize=len(file_bytes),
-            mimeType=mime_type,
-            roundNumber=round_number,
-            taskNumber=0,
-            actionNumber=0
-        )
-        
-        logger.info(f"Created ChatDocument {chat_document.id} from ActionDocument {file_name} (size: {len(file_bytes)} bytes)")
-        return chat_document
-        
+        workflow = interfaceDbChat.getWorkflow(workflowId)
+        return workflow and workflow.status == "stopped"
     except Exception as e:
-        logger.error(f"Error creating ChatDocument from ActionDocument: {e}", exc_info=True)
-        raise
+        logger.warning(f"Error checking workflow status: {e}")
+        return False
 
 
 async def _processChatbotMessage(
@@ -558,7 +323,7 @@ async def _processChatbotMessage(
 ):
     """
     Process chatbot message in background.
-    Simplified 4-step flow: Analysis → Query → Excel → Answer
+    Analyzes user input and generates list of queries, then streams them back.
     """
     event_manager = get_event_manager()
     
@@ -572,7 +337,9 @@ async def _processChatbotMessage(
             await event_manager.emit_event(workflowId, "error", f"Workflow {workflowId} nicht gefunden", "error")
             return
         
-        if await _check_workflow_status(interfaceDbChat, workflowId, event_manager):
+        # Check if workflow was stopped before starting
+        if await _check_workflow_stopped(interfaceDbChat, workflowId):
+            logger.info(f"Workflow {workflowId} was stopped, aborting processing")
             return
         
         # Build conversation context from history
@@ -587,70 +354,23 @@ async def _processChatbotMessage(
                     context += f"Assistant: {msg.message}\n"
         
         await services.ai.ensureAiObjectsInitialized()
-        current_date = datetime.datetime.now().strftime("%d.%m.%Y")
         
-        if await _check_workflow_status(interfaceDbChat, workflowId, event_manager):
-            return
+        # Step 1: Analyze user input to generate queries
+        logger.info("Analyzing user input to generate queries...")
+        await _emit_log_and_event(interfaceDbChat, workflowId, event_manager, "Analysiere Benutzeranfrage...")
         
-        # Step 1: Unified Analysis
-        logger.info("Step 1: Analyzing user input and attached files...")
-        await event_manager.emit_event(workflowId, "status", "Analysiere Benutzeranfrage und angehängte Dateien...", "analysis")
+        analysisPrompt = get_initial_analysis_prompt(userInput.prompt, context)
         
-        # Prepare document references if files are attached
-        has_uploaded_files = bool(userInput.listFileId and len(userInput.listFileId) > 0)
-        document_references = None
-        
-        if has_uploaded_files:
-            workflow = interfaceDbChat.getWorkflow(workflowId)
-            if workflow:
-                services.workflow = workflow
-            document_references = await _convert_file_ids_to_document_references(services, userInput.listFileId)
-            logger.info(f"Prepared {len(document_references.references)} document references for analysis")
-        
-        # Build analysis prompt
-        file_context = "\n\nIMPORTANT - ATTACHED FILES:\nIf files are attached, read them completely. For Excel files, extract ALL article identifiers (Artikelnummer) from the file and include them directly in the SQL query using WHERE Artikelnummer IN ('ART1', 'ART2', ...). DO NOT reference ExcelFile table - it doesn't exist!\n" if has_uploaded_files else ""
-        
-        analysisPrompt = f"""Heute ist der {current_date}.
-
-Du bist ein Chatbot der Althaus AG mit Zugriff auf eine SQL-Datenbank.
-
-DATENBANK-SCHEMA:
-- Artikel: I_ID, Artikelnummer, Artikelbezeichnung, Lieferant, etc.
-- Einkaufspreis: m_Artikel, EP_CHF
-- Lagerplatz_Artikel: R_ARTIKEL, S_IST_BESTAND, etc.
-- Beziehungen: Artikel.I_ID = Einkaufspreis.m_Artikel = Lagerplatz_Artikel.R_ARTIKEL
-
-SQL-HINWEISE:
-- IMMER doppelte Anführungszeichen für Spaltennamen: "Artikelnummer", "S_IST_BESTAND"
-- S_IST_BESTAND kann "Unbekannt" sein (TEXT), prüfe mit WHERE l."S_IST_BESTAND" != 'Unbekannt'
-- Verwende Tabellenaliase: a für Artikel, e für Einkaufspreis, l für Lagerplatz_Artikel
-- WICHTIG: Wenn Excel-Dateien angehängt sind, extrahiere Artikelnummern aus der Datei und verwende sie direkt im SQL: WHERE a."Artikelnummer" IN ('ART1', 'ART2', 'ART3')
-- VERBOTEN: Verwende NICHT "SELECT ... FROM ExcelFile" - diese Tabelle existiert nicht!
-
-{file_context}User question: {userInput.prompt}{context}
-
-Return ONLY valid JSON:
-{{
-  "needsDatabaseQuery": boolean,
-  "needsWebResearch": boolean,
-  "needsExcelFile": boolean,
-  "excelAction": "create" | "update" | null,
-  "excelFileName": string | null,
-  "sqlQuery": string (ready-to-execute SQL with double quotes for column names. If Excel file attached, extract Artikelnummern and use WHERE a."Artikelnummer" IN ('ART1', 'ART2', ...)),
-  "requestedColumns": array of strings (columns to add for Excel updates, e.g. ["Lieferant", "Lagerbestand"]),
-  "reasoning": string
-}}"""
-        
-        # Single AI call for analysis
+        # AI call for analysis
         method_ai = MethodAi(services)
         analysis_result = await method_ai.process({
             "aiPrompt": analysisPrompt,
-            "documentList": document_references if has_uploaded_files else None,
+            "documentList": None,
             "resultType": "json",
             "simpleMode": True
         })
         
-        # Extract content from ActionResult (in simple mode, content is in first document's documentData)
+        # Extract content from ActionResult
         analysis_content = None
         if analysis_result.success and analysis_result.documents:
             analysis_content = analysis_result.documents[0].documentData
